Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class PKCS12SafeContentsBag

`java.lang.Object
oracle.security.crypto.cert.PKCS12Bag
oracle.security.crypto.cert.PKCS12SafeContentsBag`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

public class PKCS12SafeContentsBag
extends PKCS12Bag

A PKCS #12 safe contents bag, which contains a sequence of `PKCS12Bag`s.

Constructor Summary
`PKCS12SafeContentsBag(PKCS12Safe parent)`
`PKCS12SafeContentsBag(PKCS12Safe parent, oracle.security.crypto.asn1.ASN1Sequence s)`
`PKCS12SafeContentsBag(PKCS12Safe parent, java.io.InputStream is)`
`PKCS12SafeContentsBag(PKCS12Safe parent, java.util.Vector bags)`

Method Summary
`void` | `addBag(PKCS12Bag b)`
`java.util.Vector` | `getBags()` Returns the sequence of `PKCS12Bag`s contained in this `safeContents` bag.
`void` | `input(oracle.security.crypto.asn1.ASN1Sequence s)` Reconstructs this object from its representation as an ASN.1 sequence.
`void` | `input(java.io.InputStream is)` Reconstructs this object by reading its DER encoding from the specified input stream.
`int` | `length()` Returns the length of this object's DER encoding.
`void` | `output(java.io.OutputStream os)` Outputs the DER encoding of this object to the specified output stream.
`void` | `setBags(java.util.Vector bags)` Sets the sequence of `PKCS12Bag`s for this `safeContents` bag.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class oracle.security.crypto.cert.PKCS12Bag
`getFriendlyName, getLocalKeyID, inputBag, outputAttrsASN1, setFriendlyName, setLocalKeyID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PKCS12SafeContentsBag

    public PKCS12SafeContentsBag(PKCS12Safe parent)

### PKCS12SafeContentsBag

    public PKCS12SafeContentsBag(PKCS12Safe parent,
                                 java.util.Vector bags)

### PKCS12SafeContentsBag

    public PKCS12SafeContentsBag(PKCS12Safe parent,
                                 java.io.InputStream is)
                          throws java.io.IOException

### PKCS12SafeContentsBag

    public PKCS12SafeContentsBag(PKCS12Safe parent,
                                 oracle.security.crypto.asn1.ASN1Sequence s)
                          throws java.io.IOException

Method Detail

### input

    public void input(java.io.InputStream is)
               throws java.io.IOException

  Reconstructs this object by reading its DER encoding from the specified input stream.
  Parameters:
    `is` - the input stream from which this object will be read
  Throws:
    `java.io.IOException`

### input

    public void input(oracle.security.crypto.asn1.ASN1Sequence s)
               throws java.io.IOException

  Reconstructs this object from its representation as an ASN.1 sequence.
  Parameters:
    `s` - the ASN.1 sequence representation of this object
  Throws:
    `java.io.IOException`

### output

    public void output(java.io.OutputStream os)
                throws java.io.IOException

  Outputs the DER encoding of this object to the specified output stream.
  Parameters:
    `os` - the output stream to which the object will be written
  Throws:
    `java.io.IOException`

### length

    public int length()

  Returns the length of this object's DER encoding.
  Returns:
    the length of this object's DER encoding

### getBags

    public java.util.Vector getBags()

  Returns the sequence of `PKCS12Bag`s contained in this `safeContents` bag.
  Returns:
    a vector, each element of which is an instance of `PKCS12Bag`.

### setBags

    public void setBags(java.util.Vector bags)

  Sets the sequence of `PKCS12Bag`s for this `safeContents` bag.

### addBag

    public void addBag(PKCS12Bag b)

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Returns:
    a string representation of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.